%global major_version 10.6
%global minor_version 0
%define dist          .el7dsrv

%global shortname redhat-ds
%global pkgname   dirsrv

%global consolelang en

Name: redhat-ds-console
Version: %{major_version}.%{minor_version}
Release: 1%{?dist}
Summary: Red Hat Directory Server Management Console

Group: Applications/System
License: GPLv2
URL: https://www.redhat.com/directory_server/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Source: %{name}-%{version}.tar.bz2
Requires: %{shortname}-admin
Requires: 389-ds-console
BuildRequires: java-devel >= 1.8.0
BuildRequires: 389-ds-console >= 1.2.12
BuildRequires: 389-ds-console-doc

%description
A Java based remote management console used for Managing Red Hat
Directory Server.

%package          doc
Summary:          Web docs for Red Hat Directory Server Management Console
Group:            Documentation
Requires:         %{name} = %{version}-%{release}
Requires:         389-ds-console-doc

%description      doc
Web docs for Red Hat Directory Server Management Console

%prep
%setup -q
                                                                                
%build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java
# copy the jar with the localized bits
cp -p %{_datadir}/%{pkgname}/html/java/389-ds_%{consolelang}.jar $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}_%{consolelang}.jar
mkdir -p com/netscape/admin/dirserv/images
# replace 389 skin with our skin and update the jar
cp -p dirserv-skin.properties com/netscape/admin/dirserv
cp -p dsbanner.gif com/netscape/admin/dirserv/images
%{jar} uvf $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}_%{consolelang}.jar com/netscape/admin/dirserv/dirserv-skin.properties com/netscape/admin/dirserv/images/dsbanner.gif

# do a sed on the header.html to create the skinned version
install -d $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/%{consolelang}/slapd/help
sed -e 's/389 Management/Red Hat Identity Management/g' %{_datadir}/%{pkgname}/manual/%{consolelang}/slapd/header.html > $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/%{consolelang}/slapd/skin-header.html
chmod 644 $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/%{consolelang}/slapd/skin-header.html

# create symlinks
pushd $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java
# just link to the 389 ds jar
ln -s 389-ds.jar %{shortname}.jar
ln -s %{shortname}.jar %{shortname}-%{version}.jar
ln -s %{shortname}.jar %{shortname}-%{major_version}.jar
# the ds_lang jar is a real file, not a symlink
ln -s %{shortname}-%{version}_%{consolelang}.jar %{shortname}-%{major_version}_%{consolelang}.jar
ln -s %{shortname}-%{version}_%{consolelang}.jar %{shortname}_%{consolelang}.jar
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc LICENSE
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{major_version}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}_%{consolelang}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{major_version}_%{consolelang}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}_%{consolelang}.jar

%files doc
%doc %{_datadir}/%{pkgname}/manual/%{consolelang}/slapd/skin-header.html
                                                                              
%changelog
* Fri May 15 2020 Mark Reynolds <mreynolds@redhat.com> - 10.6.0-1.el7dsrv
- Bump version to 10.6.0-1

* Tue Oct 8 2019 Mark Reynolds <mreynolds@redhat.com> - 10.5.0-1.el7dsrv
- Bump version to 10.5.0-1

* Fri May 24 2019 Mark Reynolds <mreynolds@redhat.com> - 10.4.0-1.el7dsrv
- Bump version to 10.4.0-1

* Wed Aug 1 2018 Mark Reynolds <mreynolds@redhat.com> - 10.3.0-1.el7dsrv
- Bump version to 10.3.0-1

* Fri Dec 8 2017 Mark Reynolds <mreynolds@redhat.com> - 10.2.0-2.el7dsrv
- Bump version to 10.2.0-2

* Mon Nov 20 2017 Mark Reynolds <mreynolds@redhat.com> - 10.2.0-1.el7dsrv
- Release 10.2.0

* Sun Oct  9 2016 Noriko Hosoi <nhosoi@redhat.com> - 10.1.0-2.el7dsrv
- Release 10.1.0
- Rebuilt with tag dsrv-10.1-rhel-7-candidate

* Fri Sep  2 2016 Noriko Hosoi <nhosoi@redhat.com> - 10.1.0-1.el7dsrv
- bump version to 10.1.0
- Resolves #Bug 1304594 - Console -- Update Java dependency to 1.8

* Mon Jun  1 2015 Noriko Hosoi <nhosoi@redhat.com> - 10.0.0-3.el7dsrv
- Resping 10.0.0 for Bug 1222019 - Missing text in context menu items
  Adding version: BuildRequires: 389-ds-console >= 1.2.12

* Wed May 27 2015 Noriko Hosoi <nhosoi@redhat.com> - 10.0.0-2.el7dsrv
- Resping 10.0.0 for Bug 1222019 - Missing text in context menu items

* Thu Dec 11 2014 Noriko Hosoi <nhosoi@redhat.com> - 10.0.0-1.el7dsrv
- bump version to 10.0.0

* Mon Oct 28 2013 Kevin Wright <kwright@redhat.com> - 9.1.0-2.el7dsrv
- adding el7dsrv dist

* Tue Jan 29 2013 Noriko Hosoi <nhosoi@redhat.com> - 9.1.0-1
- bump version to 9.1.0

* Fri Jun 17 2011 Rich Megginson <rmeggins@redhat.com> - 9.0.0-1
- recast package to be a skin package around 389-ds-console

* Wed Jun  9 2010 Nathan Kinder <nkinder@redhat.com> - 8.2.0-4
- updated idm-console-framework dependency version
- updated with sources from Directory_Server_8_2_Candidate_20100609 git tag

* Thu May 13 2010 Rich Megginson <rmeggins@redhat.com> - 8.2.0-3
- updated with sources from 389-ds-console 1.2.3

* Mon May  3 2010 Rich Megginson <rmeggins@redhat.com> - 8.2.0-2
- updated with sources from 389-ds-console 1.2.2

* Mon Apr  5 2010 Rich Megginson <rmeggins@redhat.com> - 8.2.0-1
- the 8.2.0 release

* Wed Mar 25 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-3
- Resolves: bug 483660
- Description: Replication and Sync agreement edit should not allow change to/from LDAPS
- Fix Description: fix simple auth radio button on replication agreement edit tab

* Wed Jan  7 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-2
- use java-devel >= 1:1.6.0

* Tue Dec 16 2008 Rich Megginson <rmeggins@redhat.com> - 8.1.0-1
- updated for 8.1.0 - added LICENSE

* Mon Dec 10 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-11
- Removed CVS directories from sources.

* Mon Dec 10 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-10
- Updated sources.

* Wed Nov 21 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-9
- Updated online help documentation.

* Thu Oct 18 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-8
- Updated sources for bugfixes.

* Tue Oct 16 2007 Margaret Lum <mlum@redhat.com> 8.0.0-7
- Use Java 1.4.2.

* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-5
- Updated sources.

* Mon Aug 13 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-4
- Added online help files to package.

* Fri Aug 10 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-3
- use pkgname for filesystem path naming instead of shortname

* Thu Aug  2 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-2
- Updated dependency version for redhat-ds-admin package.

* Thu Aug  2 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-1
- Initial creation
